Subject: bug#27942: Bug regarding "touch" command

From: Paul Eggert <[email-masked]>
Date: Fri, 4 Aug 2017 09:17:50 -0700

L A Walsh wrote:
>> You run "touch -". Whatever file stdout happens to be associated with, gets 
>> touched. It's the same idea as "cat -", except with stdout rather than stdin.
>>
> 
> The difference between that and updating due to write activity being
> mostly that ctime is also written?

No, that's not a difference. Try running 'touch foo; strace touch foo; strace 
touch - >>foo'. I did that, and saw the same system call being used to alter 
foo's last-modified time, in both strace outputs.